<template>
  <div class="app-content">
    <div id="timer">
      <button @click="sum(-15)">moins</button>
      <p>{{minutes}} : {{seconds}}</p>
      <button @click="sum(15)">plus</button>
    </div>
    <div id="buttons">
      <button @click="inc">Start</button>
      <button>Stop</button>
    </div>
  </div>
</template>

<script>

export default {
  name: 'Minuteur',
  components: {

  },
  data() {
    return {
      minutes: 0,
      seconds: 0,
    }
  },
  methods: {
    inc() {
        setInterval(() => {
          console.log(this.seconds);
          if(this.seconds > 0) {
            this.seconds--;
          }
        }, 1000)
    },
    pause() {

    },
    sum(value) {
      console.log(this.seconds);
      return this.seconds = this.seconds + value;
    }
  },
  watch: {
    seconds: function() {
      if(this.seconds <= 0) {
        this.seconds = 0;
      }
      else if(this.seconds >= 60) {
        this.seconds = this.seconds - 60;
        if(this.minutes < 60) {
          this.minutes++;
        }
      }
    }
  }
}
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped>
  #timer {
    font-size: 100px;
    color: black;
    display: flex;
    justify-content: center;
    align-items: center;
  }
  #timer button {
    width: 40px;
    height: 40px;
  }
</style>
